import type { KeyboardControl } from './types';
export declare class WASDEQAndArrowControl implements KeyboardControl {
    private static RELEVANT_CODES;
    private relevantCodes;
    private codes;
    constructor(params?: {
        lockRotation?: boolean;
    });
    onKeyDown: (event: KeyboardEvent) => void;
    onKeyUp: (event: KeyboardEvent) => void;
    dispose(): void;
}
